[Mongrel] Apache Proxy Error + Mongrel dying

Zed Shaw zedshaw at zedshaw.com
Fri Aug 18 16:06:04 EDT 2006

On Fri, 2006-08-18 at 21:01 +0200, Jacob Atzen wrote:
> On Fri, Aug 18, 2006 at 02:59:13PM +0200, Michele wrote:
> Hello list,
> I'm seeing something like the same problem. Mongrels who suddenly stop
> responding. I'm running an Apache mod_proxy with Mongrel backends setup.
> And from time to time I'll get the following in the Apache error log
> file:
Make sure you are running the latest pre-release:

gem install mongrel --source=http://mongrel.rubyforge.org/releases/

And then if you still have the same error report *anything* you have in
the mongrel.log, there should be some exceptions at least.

> I'm on FreeBSD 6.1, Apache 2.2.3, Mongrel (as I had another
> issue and was advised to upgrade by Zed Shaw) and Rails 1.1.6 and
> deploying with Mongrel_cluster and Capistrano.

FreeBSD 6.1 seems to be the common factor for everyone having these
problems.  I'm guessing that FBSD 6.1 changed something subtle about how
sockets work and now Mongrel is paying the penalty.  Until I get one of
these machines to play one I won't have a chance to fix this though (or
even figure out if I'm right or not).

Zed A. Shaw
http://www.railsmachine.com/ -- Need Mongrel support?

More information about the Mongrel-users mailing list